#!/usr/bin/env python

from time import sleep  # needed to make command "sleep" available
from gpiozero import Device, Servo # Needed for Servo control signals
# The older Raspberry Pi 1 or Pi Zero require to set the pin factory
from gpiozero.pins.pigpio import PiGPIOFactory

print("Content-type: text/html\n\n") # double line ending needed!
print("<html><head>")
print("")
print("</head><body>")


# Pin factory for older Raspberry Pi models
Device.pin_factory = PiGPIOFactory()

# Control line of Servo connected to pin 1_12 on Raspberry Pi
servoRearL  = Servo("BOARD11") # Yellow cable
servoFrontL = Servo("BOARD13") # Green cable
servoRearR  = Servo("BOARD15") # Purple cable
servoFrontR = Servo("BOARD19") # White cable

# Turn left
servoRearL.value = -1.0
servoFrontL.value = -1.0
servoRearR.value = -1.0
servoFrontR.value = -1.0
sleep(2.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

print("</body></html>")


